Table of Contents
- Introduction
- Information Tags
- String Tags
- Variable Tags
- URL Tags
- If Tags
- Graphics Tags
- Database Tags
- Programming Tags

  | · Introduction · catch · cgi · throw · crypt · debug · default · for · gauge · nooutput · noparse · pike · random · realfile · scope · sed · strlen · trace · vfs · wizard

- Supports System
- SSI
- htaccess
- Image Maps
- Appendix

<catch> ... </catch> |

`<catch>` is defined in the Main RXML parser module. This tag does normally just pass along it's contents. However, in case there are an error in the RXML evaluation of the contents, or a `<throw>` tag is evaluated, only the error messages will be returned.

Attributes |

Attributes

Example

source code

#

    <catch>
    Hello World

    <throw>Error dude.</throw>
    </catch>

    "=> >

result

<catch>

# Hello World

<throw>Error dude.</throw> </catch>

</dump_if not cookie=rxml-help>